UnderHood_Icons = UnderHood:NewModule( "Icons", UnderHood.MultiFrameModulePrototype, "AceConsole-3.0", "AceEvent-3.0" )

UnderHood_Icons.configTableName = "icons"
UnderHood_Icons.configEntryPrefix = "icon"
UnderHood_Icons.configTemplate = {
	icons = {
		["Resting"] = {
			["strata"] = "LOW",
			["scale"] = 1,
			["unit"] = "player",
			["y"] = 60,
			["x"] = -182,
			["name"] = "Resting",
			["width"] = 14,
			["height"] = 14,
			["level"] = 6,
			["icon"] = "resting",
			["visibility"] = "always",
		},
		["MasterLooter"] = {
			["strata"] = "LOW",
			["scale"] = 1,
			["unit"] = "player",
			["y"] = 100,
			["x"] = -182,
			["name"] = "MasterLooter",
			["width"] = 12,
			["height"] = 12,
			["level"] = 6,
			["icon"] = "ml",
			["visibility"] = "ooc",
		},
		["TargetIcon"] = {
			["strata"] = "LOW",
			["scale"] = 1,
			["unit"] = "target",
			["y"] = -150,
			["x"] = 0,
			["name"] = "TargetIcon",
			["width"] = 20,
			["height"] = 20,
			["level"] = 6,
			["icon"] = "rt",
			["visibility"] = "always",
		},
		["FocusIcon"] = {
			["strata"] = "LOW",
			["scale"] = 1,
			["unit"] = "focus",
			["y"] = 30,
			["x"] = 238,
			["name"] = "FocusIcon",
			["width"] = 16,
			["height"] = 16,
			["level"] = 6,
			["visibility"] = "always",
			["icon"] = "rt",
		},
		["PlayerCombat"] = {
			["strata"] = "LOW",
			["scale"] = 1,
			["unit"] = "player",
			["y"] = 60,
			["x"] = -182,
			["name"] = "PlayerCombat",
			["width"] = 14,
			["height"] = 14,
			["level"] = 6,
			["icon"] = "combat",
			["visibility"] = "always",
		},
		["Leader"] = {
			["strata"] = "LOW",
			["scale"] = 1,
			["unit"] = "player",
			["y"] = 116,
			["x"] = -182,
			["name"] = "Leader",
			["visibility"] = "ooc",
			["height"] = 12,
			["level"] = 6,
			["icon"] = "leader",
			["width"] = 12,
		},
		["PlayerPvP"] = {
			["strata"] = "LOW",
			["scale"] = 1,
			["unit"] = "player",
			["y"] = 81,
			["x"] = -182,
			["name"] = "PlayerPvP",
			["width"] = 16,
			["height"] = 16,
			["level"] = 6,
			["icon"] = "pvp",
			["visibility"] = "ooc",
		},
	},
}

function UnderHood_Icons:OnInitializeFrameConfiguration( config )
	config.icon = "resting"
	config.unit = "player"
	config.visibility = "ooc"

	config.width = 20
	config.height = 20
end
